Subject: [Spits] Clutch is slipping

From: Jim Dwyer <[email-masked]>
Date: Fri, 26 Oct 2012 16:26:07 -0400 FILETIME=[27E4C1B0:01CDB3B8]

My clutch is starting to slip on my 76 Spit and probably needs replacing.

This winter I am planning on taking the tranny out through the interior and I
will also replace the three U joints in the rear end, get the flywheel
resurfaced, and replace the fluids in the tranny and rear end while I am at
it.

The only parts I have so far are the U joints and the rubber tranny mounts.  I
may need to install a new carpet set as well if the old one does not come out
in one piece.

Any suggestions on parts that work well or other things that I should do or
check while everything is apart would be appreciated.

Any tips or tricks that I should know would be great as well.

Thanks

Jim
_______________________________________________

[email-masked]
Archive: http://www.team.net/archive